Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

php5 support


rold2p

Recommended Posts

I don't know if it will be, at least not in the imemdiate future. There are two streams of php being issued, the 4 series and the 5 series, and the 5 series still has lots of problems. It is quite a radical rewrite of php from what I can see, and comes with additional commands/features not present in the 4 series. As long as php keep upgrading the 4 series I don't think there will be a mad rush by providers of php programmes to make their systems php5 compatible.

 

Vger

Link to comment
Share on other sites

What problem you got in PHP5? I just installed 2M2 at FC4 (PHP5+Mysql4.1) and going to try because I am a new comer for days.

 

I got the error 1064 SYNTEXT Error ..... at line 1 in FC3. And it works fine at FC4.

 

Best regards,

Yan,

 

anybody an idea whe php 5 will be supported ?

 

thks

YaNotCook !!

Link to comment
Share on other sites

ok, lot thks

by the way,

is there a way to avoid using register globals = on ?

think today its not really recommended to allow each html input field become a $global

 

rold2p

 

 

I don't know if it will be, at least not in the imemdiate future.  There are two streams of php being issued, the 4 series and the 5 series, and the 5 series still has lots of problems.  It is quite a radical rewrite of php from what I can see, and comes with additional commands/features not present in the 4 series.  As long as php keep upgrading the 4 series I don't think there will be a mad rush by providers of php programmes to make their systems php5 compatible.

 

Vger

Link to comment
Share on other sites

lots of,

am new with OSC as well,

save your time, avoid testing with php5,

use 4.3.11 !

 

regards

rold2p

 

What problem you got in PHP5? I just installed 2M2 at FC4 (PHP5+Mysql4.1) and going to try because I am a new comer for days.

 

I got the error 1064 SYNTEXT Error ..... at line 1 in FC3. And it works fine at FC4.

 

Best regards,

Yan,

Link to comment
Share on other sites

is there a way to avoid using register globals = on ?

 

On a newly installed store install the Register Globals Patch Files (link below my name). If Register Globals is set to 'On' on your server you can set them to off via a .htaccess file in the root of your website.

 

Vger

Link to comment
Share on other sites

The following bug report may help:

http://www.oscommerce.com/community/bugs,2...arch,_global+on

 

Best regards,

Yan.

 

ok, lot thks

by the way,

is there a way to avoid using register globals = on ?

think today its not really recommended to allow each html input field become a $global

 

rold2p

YaNotCook !!

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...